%define snap 20080224

Summary: 	Mandriva Xfce configuration files
Name:    	mandriva-xfce-config
Version: 	2008.0
Release: 	%mkrel 2
Group:   	Graphical desktop/Xfce
License: 	GPLv2+
URL:		http://wiki.mandriva.com/en/Development/Ideas/XFCE
# (tpg) http://svn.mandriva.com/svn/soft/mandriva-xfce-config/
Source0: 	%{name}-%{snap}.tar.bz2
BuildArch: 	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Configuration files for Mandriva Xfce desktop environment.

%package -n %{name}-common
Summary: 	Mandriva Xfce common configuration files
Group: 		Graphical desktop/Xfce
Requires(pre):	update-alternatives
Requires:	ia_ora-xfce
Requires:       tango-icon-theme
Requires:	mandriva-release-common

%description -n %{name}-common
Common configuration files for Mandriva Xfce desktop environment.

%package -n %{name}-Flash
Summary: 	Mandriva Xfce Flash configuration files
Group: 		Graphical desktop/Xfce
Url:		http://wiki.mandriva.com/en/Development/Ideas/XFCE
# (tpg) mandriva stuff
Requires:	mandriva-release-Flash
Requires:	mandriva-theme-Flash
Requires(pre):	%{name}-common = %{version}-%{release}
Requires(preun): %{name}-common = %{version}-%{release}
Conflicts:	%{name}-Free
Conflicts:	%{name}-One
Conflicts:	%{name}-Powerpack
Provides:	%{name}

%description -n %{name}-Flash
Configuration files for Mandriva Flash Xfce desktop environment.

%package -n %{name}-Free
Summary: 	Mandriva Xfce Free configuration files
Group: 		Graphical desktop/Xfce
Url:		http://wiki.mandriva.com/en/Development/Ideas/XFCE
# (tpg) mandriva stuff
Requires:	mandriva-release-Free
Requires:	mandriva-theme-Free
Requires(pre):	%{name}-common = %{version}-%{release}
Requires(preun): %{name}-common = %{version}-%{release}
Conflicts:	%{name}-Flash
Conflicts:	%{name}-One
Conflicts:	%{name}-Powerpack
Provides:	%{name}

%description -n %{name}-Free
Configuration files for Mandriva Free Xfce desktop environment.

%package -n %{name}-One
Summary: 	Mandriva Xfce One configuration files
Group: 		Graphical desktop/Xfce
Url:		http://wiki.mandriva.com/en/Development/Ideas/XFCE
# (tpg) mandriva stuff
Requires:	mandriva-release-One
Requires:	mandriva-theme-One
Requires(pre):	%{name}-common = %{version}-%{release}
Requires(preun): %{name}-common = %{version}-%{release}
Conflicts:	%{name}-Flash
Conflicts:	%{name}-Free
Conflicts:	%{name}-Powerpack
Provides:	%{name}

%description -n %{name}-One
Configuration files for Mandriva One Xfce desktop environment.

%package -n %{name}-Powerpack
Summary:	Mandriva Xfce Powerpack configuration files
Group:		Graphical desktop/Xfce
Url:		http://wiki.mandriva.com/en/Development/Ideas/XFCE
# (tpg) mandriva stuff
Requires:	mandriva-release-Powerpack
Requires:	mandriva-theme-Powerpack
Requires(pre):	%{name}-common = %{version}-%{release}
Requires(preun): %{name}-common = %{version}-%{release}
Conflicts:	%{name}-Flash
Conflicts:	%{name}-Free
Conflicts:	%{name}-One
Provides:	%{name}

%description -n %{name}-Powerpack
Configuration files for Mandriva Powerpack Xfce desktop environment.

%prep
%setup -qn %{name}-%{snap}

%install
rm -rf %{buildroot}

export sysconfdir=%{_sysconfdir}
export localstatedir=%{_localstatedir}
export iconsdir=%{_iconsdir}

%makeinstall_std 

%clean
rm -rf %{buildroot}

%post -n %{name}-common
%update_icon_cache Tango

%postun -n %{name}-common
%clean_icon_cache Tango

%pre -n %{name}-Flash
if [ -d %{_localstatedir}/mandriva/xfce-profiles/Flash ]; then
  rm -rf %{_localstatedir}/mandriva/xfce-profiles/Flash
fi

%post -n %{name}-Flash
update-alternatives --install %{_sysconfdir}/X11/xdg/xfce4/mcs_settings xfce-config %{_localstatedir}/mandriva/xfce-profiles/Flash/xfce4/mcs_settings 10

%postun -n %{name}-Flash
if ! [ -e /var/lib/mandriva/xfce-profiles/Flash ]; then
  update-alternatives --remove xfce-config /var/lib/mandriva/xfce-profiles/Flash/xfce4/mcs_settings
fi

%pre -n %{name}-Free
if [ -d %{_localstatedir}/mandriva/xfce-profiles/Free ]; then
  rm -rf %{_localstatedir}/mandriva/xfce-profiles/Free
fi

%post -n %{name}-Free
update-alternatives --install %{_sysconfdir}/X11/xdg/xfce4/mcs_settings xfce-config %{_localstatedir}/mandriva/xfce-profiles/Free/xfce4/mcs_settings 10

%postun -n %{name}-Free
if ! [ -e /var/lib/mandriva/xfce-profiles/Free ]; then
  update-alternatives --remove xfce-config /var/lib/mandriva/xfce-profiles/Free/xfce4/mcs_settings
fi

%pre -n %{name}-One
if [ -d %{_localstatedir}/mandriva/xfce-profiles/One ]; then
  rm -rf %{_localstatedir}/mandriva/xfce-profiles/One
fi

%post -n %{name}-One
update-alternatives --install %{_sysconfdir}/X11/xdg/xfce4/mcs_settings xfce-config %{_localstatedir}/mandriva/xfce-profiles/One/xfce4/mcs_settings 10

%postun -n %{name}-One
if ! [ -e /var/lib/mandriva/xfce-profiles/One ]; then
  update-alternatives --remove xfce-config /var/lib/mandriva/xfce-profiles/One/xfce4/mcs_settings
fi

%pre -n %{name}-Powerpack
if [ -d %{_localstatedir}/mandriva/xfce-profiles/Powerpack ]; then
  rm -rf %{_localstatedir}/mandriva/xfce-profiles/Powerpack
fi

%post -n %{name}-Powerpack
update-alternatives --install %{_sysconfdir}/X11/xdg/xfce4/mcs_settings xfce-config %{_localstatedir}/mandriva/xfce-profiles/Powerpack/xfce4/mcs_settings 10

%postun -n %{name}-Powerpack
if ! [ -e /var/lib/mandriva/xfce-profiles/Powerpack ]; then
  update-alternatives --remove xfce-config /var/lib/mandriva/xfce-profiles/Powerpack/xfce4/mcs_settings
fi

%files -n %{name}-common
%defattr(-,root,root)
%doc AUTHORS ChangeLog README.update.urpmi
%{_sysconfdir}/X11/xdg/Terminal/*
%{_sysconfdir}/X11/xdg/Thunar/*
%{_sysconfdir}/X11/xdg/autostart/*
%{_sysconfdir}/X11/xdg/xfce4/*

%files -n %{name}-Flash
%defattr(-,root,root)
%{_localstatedir}/mandriva/xfce-profiles/Flash

%files -n %{name}-Free
%defattr(-,root,root)
%{_localstatedir}/mandriva/xfce-profiles/Free

%files -n %{name}-One
%defattr(-,root,root)
%{_localstatedir}/mandriva/xfce-profiles/One

%files -n %{name}-Powerpack
%defattr(-,root,root)
%{_localstatedir}/mandriva/xfce-profiles/Powerpack


%changelog
* Sun Feb 24 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 2008.0-2mdv2008.0
+ Revision: 174123
- new snapshot
  o fix theme for Powerpack
  o add configs for Flash
  o update Makefile
- hardcode requires for a specific mdv flavour

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix no-buildroot-tag

* Thu Jan 24 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 2008.0-1mdv2008.1
+ Revision: 157637
- change versioning

* Tue Jan 08 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.3.8-1mdv2008.1
+ Revision: 146809
- new version
  o provide README.update.urpmi
  o remove Mdkapplet.desktop as it is now useless
  o add better thunarrc and settings rc for notification-daemon-xfce
  o better description for README and README.update.urpmi files

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Jan 02 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.3.7-1mdv2008.1
+ Revision: 140543
- workaround for a vte's bug, backspace should now work under screen (#36455)
- add ChangeLog

* Wed Dec 26 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.3.6-1mdv2008.1
+ Revision: 137829
- new version 1.3.6
- remove icons, as they are handled by xfdesktop package
- make panel looks nicer
    o add some separators
    o do not use flat buttons in task list
    o add windowlist to the panel

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Dec 12 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.3.5-3mdv2008.1
+ Revision: 117601
- fix summary

* Tue Dec 11 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.3.5-2mdv2008.1
+ Revision: 117320
- do not require task-xfce-minimal for common package, fixes bug #35753
- new version
  o add makefile inside tarball and make use of this in spec file
  o add AUTHORS
  o merge Tango icons into main tarball
  o multilevel menus are gone
  o do not hardcode Firefox icon in menu and panel entries for webbrowser

* Tue Dec 11 2007 Jérôme Soyer <saispo@mandriva.org> 1.3.4-1mdv2008.1
+ Revision: 117198
- Add file
- Add Tango Icon by default

* Wed Nov 28 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.3.3-4mdv2008.1
+ Revision: 113739
- fix wrong category (s/Photograph/Photography)

* Fri Nov 23 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.3.3-3mdv2008.1
+ Revision: 111655
- xfwm default theme is now Ia Ora
- requires ia_ora-xfce

* Fri Nov 23 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.3.3-1mdv2008.1
+ Revision: 111632
- new version
  o do not use xfbrowser4 in menus to start webbrowser, because this doesn't use preffered webbrowser set in by user (thanks goes to Dotan Kamber for pointing this out)
  o use exo-open --launch WebBrowser instead of

* Tue Nov 20 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.3.2-2mdv2008.1
+ Revision: 110797
- reenable menu options
- reenable mandriva related icons

* Mon Nov 19 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.3.2-1mdv2008.1
+ Revision: 110580
- new version
- updated all files to Xfce version 4.4.2

* Fri Oct 05 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.3.1-1mdv2008.1
+ Revision: 95639
- new version
 o use new multilevel menus
 o panel launchers are multilingual again
 o use mozilla-firefox icon for webbrowser entries in panel and menu

* Sun Sep 30 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.3-4mdv2008.0
+ Revision: 93975
- fix bug #34326
- add more configuration files

* Sun Sep 23 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.3-3mdv2008.0
+ Revision: 92367
- do not hardcode requires for a specific Mandriva flavour
- all subpackages(excluding common) provides mandriva-xfce-config

* Sat Sep 22 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.3-2mdv2008.0
+ Revision: 92123
- fix scripts, now this should work
- fix orage config

* Fri Sep 21 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.3-1mdv2008.0
+ Revision: 91934
- new version
    o use update-alternatives
    o change apperance of a panel
    o update all settings
- provide common package with settings for all Mandriva flavours
- install missing autostart files
- change name to mandriva-xfce-config
- add provides/obsoletes
- change name, closer with distro

* Tue Jun 26 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.2-2mdv2008.0
+ Revision: 44288
- add correct tarball
- fix file list

* Mon Jun 25 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.2-1mdv2008.0
+ Revision: 44133
- new version
  o add autostart andl volstatus files
- o add Xfce panel configuration files

* Wed Jun 20 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0-2mdv2008.0
+ Revision: 41743
- add conflicts and provides

* Mon Jun 18 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0-1mdv2008.0
+ Revision: 40917
- xfce-config holds Xfce configuration for Mandriva flavours
- Import xfce-config

